#include "redica.h"
#include <bits/stdc++.h>
using namespace std;

void solve(int n, int k, int s) {
    vector <int> ret;
    for (int i = 1; i < n; i++) {
        ret.push_back(query());
        s -= ret.back();
    }
    ret.push_back(s);
    submit (ret);
}